Debian Bug report logs - #680719
v1.1 regression w/ -nographic or -display none

version graph

Package: qemu-kvm; Maintainer for qemu-kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for qemu-kvm is src:qemu.

Reported by: Jamie Heilman <jamie@audible.transient.net>

Date: Sun, 8 Jul 2012 08:09:02 UTC

Severity: important

Tags: confirmed, patch, upstream

Found in version qemu-kvm/1.1~z0+dfsg-1

Fixed in version qemu-kvm/1.1.1+dfsg-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.launchpad.net/qemu/+bug/1021649

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#680719; Package qemu-kvm. (Sun, 08 Jul 2012 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
New Bug report received and forwarded. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sun, 08 Jul 2012 08:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: submit@bugs.debian.org
Subject: v1.1 regression w/ -nographic or -display none
Date: Sun, 8 Jul 2012 07:57:21 +0000
Package: qemu-kvm
Version: 1.1~z0+dfsg-1

1.1.0+dfsg-1 is still affected; but the problem hit unstable with
1.1~z0+dfsg-1.  This is essentially upstream bug 1021649.  Which has
evidently been closed as Invalid due to it being firmware related...
but it's not at all clear to me what that really means.  I assume the
firmware they're talking about is is seabios, but I'm not positive.
(I'm using the seabios 1.7.0-1 package if it matters.)

The problem I'm facing is that my VMs that used -nodefaults -nographic
-device isa-serial,chardev=char0 -chardev pty,id=char0 (or -display
none instead of -nographic which I believe results in the same
topology anyway) no longer boot.  They just hang indefinately.  If I
fiddle with the chardev backend, I can indeed make them boot after a
key press, but that's not ideal, and I can't get them to start booting
with the pty backend no matter what I try.



-- 
Jamie Heilman                     http://audible.transient.net/~jamie/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#680719; Package qemu-kvm. (Sun, 08 Jul 2012 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. (Sun, 08 Jul 2012 08:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 680719@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Jamie Heilman <jamie@audible.transient.net>, 680719@bugs.debian.org
Subject: Re: Bug#680719: v1.1 regression w/ -nographic or -display none
Date: Sun, 08 Jul 2012 12:26:51 +0400
tags 680719 + moreinfo unreproducible
thanks

On 08.07.2012 11:57, Jamie Heilman wrote:
> Package: qemu-kvm
> Version: 1.1~z0+dfsg-1
> 
> 1.1.0+dfsg-1 is still affected; but the problem hit unstable with
> 1.1~z0+dfsg-1.  This is essentially upstream bug 1021649.  Which has
> evidently been closed as Invalid due to it being firmware related...
> but it's not at all clear to me what that really means.  I assume the
> firmware they're talking about is is seabios, but I'm not positive.
> (I'm using the seabios 1.7.0-1 package if it matters.)

There, the firmware is seabios from fedora, patched.  In Debian we
use the same seabios as qemu ships.

> The problem I'm facing is that my VMs that used -nodefaults -nographic
> -device isa-serial,chardev=char0 -chardev pty,id=char0 (or -display
> none instead of -nographic which I believe results in the same
> topology anyway) no longer boot.  They just hang indefinately.  If I
> fiddle with the chardev backend, I can indeed make them boot after a
> key press, but that's not ideal, and I can't get them to start booting
> with the pty backend no matter what I try.

Sigh.

You need to provide ways to reproduce this.  Much more details are
needed, like, for the start, kvm command line, and what exactly
your guest is.

Come on, ALL bugs reported against 1.1 version in debian were without
any information.  This is just ridiculous.  I'm about to start closing
such bugreports without looking further...  :(

Marking as unreproducible for now.

Thanks,

/mjt




Added tag(s) unreproducible and moreinfo. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 08 Jul 2012 08:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#680719; Package qemu-kvm. (Sun, 08 Jul 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. (Sun, 08 Jul 2012 08:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 680719@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 680719@bugs.debian.org, Jamie Heilman <jamie@audible.transient.net>
Subject: Re: Bug#680719: v1.1 regression w/ -nographic or -display none
Date: Sun, 08 Jul 2012 12:54:22 +0400
tags 680719 - unreproducible
tags 680719 + confirmed
thanks

On 08.07.2012 12:26, Michael Tokarev wrote:
> On 08.07.2012 11:57, Jamie Heilman wrote:

>> The problem I'm facing is that my VMs that used -nodefaults -nographic
>> -device isa-serial,chardev=char0 -chardev pty,id=char0 (or -display
>> none instead of -nographic which I believe results in the same
>> topology anyway) no longer boot.  They just hang indefinately.  If I
>> fiddle with the chardev backend, I can indeed make them boot after a
>> key press, but that's not ideal, and I can't get them to start booting
>> with the pty backend no matter what I try.
> 
> Sigh.
> 
> You need to provide ways to reproduce this.  Much more details are
> needed, like, for the start, kvm command line, and what exactly
> your guest is.

Okay, I reproduced the issue.  Will dig further.

Thanks,

/mjt




Removed tag(s) unreproducible. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 08 Jul 2012 08:57:05 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 08 Jul 2012 08:57:05 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sun, 08 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sun, 08 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sun, 08 Jul 2012 09:13:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.launchpad.net/qemu/+bug/1021649'. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sun, 08 Jul 2012 09:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#680719; Package qemu-kvm. (Sun, 08 Jul 2012 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sun, 08 Jul 2012 09:42:06 GMT) Full text and rfc822 format available.

Message #34 received at 680719@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 680719@bugs.debian.org
Subject: Re: Bug#680719: v1.1 regression w/ -nographic or -display none
Date: Sun, 8 Jul 2012 09:32:26 +0000
Michael Tokarev wrote:
> tags 680719 + moreinfo unreproducible
> thanks
> 
> On 08.07.2012 11:57, Jamie Heilman wrote:
> > Package: qemu-kvm
> > Version: 1.1~z0+dfsg-1
> > 
> > 1.1.0+dfsg-1 is still affected; but the problem hit unstable with
> > 1.1~z0+dfsg-1.  This is essentially upstream bug 1021649.  Which has
> > evidently been closed as Invalid due to it being firmware related...
> > but it's not at all clear to me what that really means.  I assume the
> > firmware they're talking about is is seabios, but I'm not positive.
> > (I'm using the seabios 1.7.0-1 package if it matters.)
> 
> There, the firmware is seabios from fedora, patched.  In Debian we
> use the same seabios as qemu ships.
> 
> > The problem I'm facing is that my VMs that used -nodefaults -nographic
> > -device isa-serial,chardev=char0 -chardev pty,id=char0 (or -display
> > none instead of -nographic which I believe results in the same
> > topology anyway) no longer boot.  They just hang indefinately.  If I
> > fiddle with the chardev backend, I can indeed make them boot after a
> > key press, but that's not ideal, and I can't get them to start booting
> > with the pty backend no matter what I try.
> 
> Sigh.
> 
> You need to provide ways to reproduce this.

I've been trying to figure that out, I didn't give an explicit detail
becuase I haven't been able to isolate the minimal case yet, and I was
watching 1021649 thinking upstream was on top of it already... but
then all those symptoms turned out to be something else I guess.  What I
know for sure:

The guest is a Debian unstable image on an lvm volume utilising grub2
bootloader running a custom kernel without vga console support (though
that likely doesn't matter given it never gets that far).  Invoked
thusly:

kvm -name jimmy -m 1024 -nodefaults -nographic \
    -device isa-serial,chardev=char0 \
    -chardev pty,id=char0 \
    -device virtio-blk-pci,drive=blk0,bootindex=0 \
    -drive id=blk0,file=/dev/mapper/S-jimmy,if=none,cache=none \
    -device virtio-net-pci,netdev=net0 \
    -netdev tap,id=net0,ifname=jimmy,script=no,downscript=no

Changing -nographic to -display none has the same result.  Changing
-chardev pty,id=char0 to -chardev stdio,id=char0 results in things
hanging until a key is pressed.  Removing the network options has no
effect, changing memory size has no effect.


-- 
Jamie Heilman                     http://audible.transient.net/~jamie/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#680719; Package qemu-kvm. (Sun, 08 Jul 2012 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. (Sun, 08 Jul 2012 09:54:04 GMT) Full text and rfc822 format available.

Message #39 received at 680719@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Jamie Heilman <jamie@audible.transient.net>, 680719@bugs.debian.org
Subject: Re: Bug#680719: v1.1 regression w/ -nographic or -display none
Date: Sun, 08 Jul 2012 13:49:36 +0400
On 08.07.2012 13:32, Jamie Heilman wrote:
[]
>> You need to provide ways to reproduce this.
> 
> I've been trying to figure that out, I didn't give an explicit detail
> becuase I haven't been able to isolate the minimal case yet, and I was
> watching 1021649 thinking upstream was on top of it already... but
> then all those symptoms turned out to be something else I guess.  What I
> know for sure:

Please see my other response, and the details I've added to the LP bug
at https://bugs.launchpad.net/bugs/1021649 .

So far, it fails right when it tries to boot from VIRTIO DISK,
but only when in-kernel irqchip is enabled.

Thanks,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#680719; Package qemu-kvm. (Wed, 25 Jul 2012 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Wed, 25 Jul 2012 03:09:03 GMT) Full text and rfc822 format available.

Message #44 received at 680719@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 680719@bugs.debian.org
Subject: Re: Bug#680719: v1.1 regression w/ -nographic or -display none
Date: Wed, 25 Jul 2012 02:58:27 +0000
Michael Tokarev wrote:
> Please see my other response, and the details I've added to the LP bug
> at https://bugs.launchpad.net/bugs/1021649 .
> 
> So far, it fails right when it tries to boot from VIRTIO DISK,
> but only when in-kernel irqchip is enabled.

I bisected this.

7c7db75576bd5a31508208f153c5aada64b2c8df is the first bad commit
commit 7c7db75576bd5a31508208f153c5aada64b2c8df
Author: Stefano Stabellini <stefano.stabellini@eu.citrix.com>
Date:   Fri Apr 13 19:35:04 2012 +0100

    main_loop_wait: block indefinitely
    
    - remove qemu_calculate_timeout;
    
    - explicitly size timeout to uint32_t;
    
    - introduce slirp_update_timeout;
    
    - pass NULL as timeout argument to select in case timeout is the maximum
    value;
    
    Signed-off-by: Stefano Stabellini <stefano.stabellini@eu.citrix.com>
    Acked-by: Paul Brook <paul@codesourcery.com>
    Signed-off-by: Anthony Liguori <aliguori@us.ibm.com>



-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Added tag(s) pending and patch. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Wed, 08 Aug 2012 18:06:07 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Sat, 25 Aug 2012 09:21:05 GMT) Full text and rfc822 format available.

Notification sent to Jamie Heilman <jamie@audible.transient.net>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 09:21:05 GMT) Full text and rfc822 format available.

Message #51 received at 680719-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 680719-close@bugs.debian.org
Subject: Bug#680719: fixed in qemu-kvm 1.1.1+dfsg-1
Date: Sat, 25 Aug 2012 09:17:55 +0000
Source: qemu-kvm
Source-Version: 1.1.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
qemu-kvm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated qemu-kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Aug 2012 12:56:01 +0400
Source: qemu-kvm
Binary: qemu-kvm qemu-kvm-dbg kvm
Architecture: source i386
Version: 1.1.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 kvm        - dummy transitional package from kvm to qemu-kvm
 qemu-kvm   - Full virtualization on x86 hardware
 qemu-kvm-dbg - Debugging info for qemu-kvm
Closes: 680719 683096 684261 684263 684282 684311 684323 684327 685314
Changes: 
 qemu-kvm (1.1.1+dfsg-1) unstable; urgency=low
 .
   * new upstream bugfix release (1.1.1) (Closes: #684311)
     Removed applied upstream patches:
     - qemu-kvm-Add-missing-default-machine-options.patch
     - qemu-kvm-virtio-Do-not-register-mask-notifiers-witho.patch
   * uhci:-fix-uhci_async_cancel_all.patch fixes use-after-free
     in usb code (Closes: #684323)
   * eventfd-making-it-thread-safe.patch - fix a missing
     ioeventfd notifier (Closes: #680719, #685314)
   * qom-object_delete-should-unparent-the-object-first.patch
     fixes assertion failure on usb_del (Closes: #684282)
   * virtio-blk-fix-use-after-free-while-handling-scsi-commands.patch
     (Closes: #684261)
   * ahci-Fix-ahci-cdrom-read-corruptions-for-reads-128k.patch (Closes: #684263)
   * ahci-Fix-sglist-memleak-in-ahci_dma_rw_buf.patch (Closes: #684327)
   * kvm-i8254-cache-kernel-clock-offset-in-KVMPITState.patch and
     kvm-i8254-finish-time-conversion-fix.patch - two patches from upstream
     stable to fix TSC vs PIT timers (Closes: #683096)
   * document -netdev option in the manpage, a long-standing omission
     (net-add--netdev-options-to-man-page.patch)
Checksums-Sha1: 
 2916e3850bb0ce08ec3c387724aea5bc2c6dcfc2 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 b7277fcf0c19397a27a69387bfe45ca38506b9a0 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 5701b38c50b9b308c106106cd81733816b2832d6 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 c87a023409129fc4882feee1c20efdbbd8aeb97d 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 ad6e3e1c4e78bb074fcf9858036dbc65a5ab0ba9 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 2ea153727afa86bb89b81f4f54b1b6eec57d7935 21950 kvm_1.1.1+dfsg-1_i386.deb
Checksums-Sha256: 
 c7516b33b7b1ba90975d5b9ed3f67d8ec873cee6df44dbfb10386d03002bd225 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 9b1b5f6acdb72874c91c5d02e2d2d951ceb78d76c5e2df9ae4498464f54bdf3d 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 f453a396ac6423cdf2f5713d4caf4d8c28b5706244a1103f229a32651029fb8d 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 6b9fe603585bb1152c62a2493498984205a763a2955c73406729a8c340ef27c6 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 3fddcf3f30c5562ee6ff2909e4d9ed5d48ec5a30fca5af1e50571e004179aaf0 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 1c125efd6fc8cc32dadd6792e9f63fd5d855cf0f80fcdd2e15947488f3c695ea 21950 kvm_1.1.1+dfsg-1_i386.deb
Files: 
 7118b7b8081c01b76fc6807f9fb60ee1 1949 misc optional qemu-kvm_1.1.1+dfsg-1.dsc
 9d059d914fad114c506030530c2d9817 3645276 misc optional qemu-kvm_1.1.1+dfsg.orig.tar.xz
 1bf5baa1950dd86e49789357b97a4fc3 42677 misc optional qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 0fcd32fcf4584598aa59dccc726fcc4e 1753606 misc optional qemu-kvm_1.1.1+dfsg-1_i386.deb
 9accdc6d324ef823b4399f312e892da7 5091316 debug extra qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 0e798a4a4cca897b060de9f2f1935e2c 21950 oldlibs extra kvm_1.1.1+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlA4llQACgkQUlPFrXTwyDgMkAQAgkVe70KencSD1QiqwiJT1rq1
I6BWGXxUvSh/MCI/GxnFEGKBLNJ9//pLKIHedmNSx+0+Hxg4d61CbRi5JDyLEoCZ
bDAlC+pGqWTYqALi2bsZvnOQLEOI/H3+YMk+7G6YPCjsxcML2CVbKVoBOrti9v8p
zwSxxj2KMFwyxjDgGXc=
=UzkX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Oct 2012 07:26:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:08:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.